For the complete documentation index, see llms.txt. This page is also available as Markdown.

Watched Items

A watched item is a product variant the authenticated customer is following.

List Watched Items

get

Returns every variant the authenticated customer is watching, most recently updated first.

Authorizations
AuthorizationstringRequired

You can retrieve your token by visiting Settings > API and clicking Generate API token.

Query parameters
filter[listingType]string · enumOptionalPossible values:
viewerFieldsstring · nullableOptional
perPageinteger · min: 1 · max: 100Optional

Results per page (1–100).

fields[watched-items]stringOptional

Available values are automatic, createdAt, updatedAt. You can include multiple values by separating them with a comma.

fields[variants]stringOptional

Available values are externalId, displayName, title, price, photoUrl. You can include multiple values by separating them with a comma.

fields[auction-items]stringOptional

Available values are startPrice, bidIncrementStrategy, automaticBidding, softClose, totalBids, highBidAmount, minimumBid, currentIncrement, startsAt, endsAt, position, status, enableReserve, reserveMet, processed, createdAt, updatedAt, canceledAt. You can include multiple values by separating them with a comma.

fields[products]stringOptional

Available values are externalId, title, vendor, type, photoUrl, handle. You can include multiple values by separating them with a comma.

fields[bids]stringOptional

Available values are amount, placedAt. You can include multiple values by separating them with a comma.

fields[max-bids]stringOptional

Available values are amount, createdAt. You can include multiple values by separating them with a comma.

fields[auction-winners]stringOptional

Available values are amount, notifiedAt, paymentDueAt. You can include multiple values by separating them with a comma.

includestringOptional

Comma-separated list of related resources to include in the response. Available values: variant, product, variant.currentAuctionItem, variant.currentAuctionItem.highBid, variant.currentAuctionItem.highBid.customer, variant.currentAuctionItem.viewerMaxBid, variant.currentAuctionItem.viewerWin.

Responses
200

Paginated set of WatchedItemResource

application/vnd.api+json
get/watched-items
GET /storefront/v1/watched-items HTTP/1.1
Host: api.auctionplusapp.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "text",
      "type": "text",
      "attributes": {
        "automatic": true,
        "createdAt": null,
        "updatedAt": null
      },
      "relationships": {
        "variant": {
          "data": {
            "type": "variants",
            "id": "text"
          }
        },
        "product": {
          "data": {
            "type": "products",
            "id": "text"
          }
        }
      }
    }
  ],
  "meta": {
    "currentPage": 1,
    "from": null,
    "lastPage": 1,
    "perPage": 1,
    "to": null,
    "total": 1
  }
}

Watch a Variant

post

Adds a variant to the authenticated customer's watched items.

Authorizations
AuthorizationstringRequired

You can retrieve your token by visiting Settings > API and clicking Generate API token.

Query parameters
fields[watched-items]stringOptional

Available values are automatic, createdAt, updatedAt. You can include multiple values by separating them with a comma.

fields[variants]stringOptional

Available values are externalId, displayName, title, price, photoUrl. You can include multiple values by separating them with a comma.

fields[auction-items]stringOptional

Available values are startPrice, bidIncrementStrategy, automaticBidding, softClose, totalBids, highBidAmount, minimumBid, currentIncrement, startsAt, endsAt, position, status, enableReserve, reserveMet, processed, createdAt, updatedAt, canceledAt. You can include multiple values by separating them with a comma.

fields[products]stringOptional

Available values are externalId, title, vendor, type, photoUrl, handle. You can include multiple values by separating them with a comma.

includestringOptional

Comma-separated list of related resources to include in the response. Available values: variant, product, variant.currentAuctionItem.

Body
viewerFieldsstring · nullableOptional
externalVariantIdintegerRequired

The Shopify external variant ID to watch.

Responses
201

WatchedItemResource

application/vnd.api+json
post/watched-items
POST /storefront/v1/watched-items HTTP/1.1
Host: api.auctionplusapp.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 43

{
  "viewerFields": null,
  "externalVariantId": 1
}
{
  "data": {
    "id": "text",
    "type": "text",
    "attributes": {
      "automatic": true,
      "createdAt": null,
      "updatedAt": null
    },
    "relationships": {
      "variant": {
        "data": {
          "type": "variants",
          "id": "text"
        }
      },
      "product": {
        "data": {
          "type": "products",
          "id": "text"
        }
      }
    }
  }
}

Unwatch a Variant

delete

Removes a variant from the authenticated customer's watched item lists.

Authorizations
AuthorizationstringRequired

You can retrieve your token by visiting Settings > API and clicking Generate API token.

Query parameters
viewerFieldsstring · nullableOptional
externalVariantIdintegerRequired

The Shopify external variant ID to unwatch.

Responses
204

No content

No content

delete/watched-items
DELETE /storefront/v1/watched-items?externalVariantId=1 HTTP/1.1
Host: api.auctionplusapp.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated